/*
 *  GeoServer-Manager - Simple Manager Library for GeoServer
 *  
 *  Copyright (C) 2010 GeoSolutions S.A.S.
 *  http://www.geo-solutions.it
 *
 *  GPLv3 + Classpath exception
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package it.geosolutions.geoserver.rest.decoder.utils;

import java.io.IOException;
import java.io.StringReader;
import org.apache.log4j.Logger;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

/**
 *
 * @author ETj (etj at geo-solutions.it)
 */
public class JDOMBuilder {

    private final static Logger LOGGER = Logger.getLogger(JDOMBuilder.class);

    public static Element buildElement(String response) {
        if(response == null)
            return null;

        try{
			SAXBuilder builder = new SAXBuilder();
			Document doc = builder.build(new StringReader(response));
			return  doc.getRootElement();
		} catch (JDOMException ex) {
			LOGGER.warn("Ex parsing response", ex);
		} catch (IOException ex) {
			LOGGER.warn("Ex loading response", ex);
		}

		return null;
    }

}
