/*
 *  Copyright (C) 2007 - 2011 GeoSolutions S.A.S.
 *  http://www.geo-solutions.it
 * 
 *  GPLv3 + Classpath exception
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package it.geosolutions.geoserver.rest.decoder.utils;

import java.util.Iterator;
import java.util.List;
import org.jdom.Element;

/**
 *
 * @author ETj (etj at geo-solutions.it)
 */
public abstract class JDOMListIterator<ELEM> implements Iterator<ELEM> {

    private final Iterator<Element> iter;

    public JDOMListIterator(List<Element> orig) {
        iter = orig.iterator();
    }

    public boolean hasNext() {
        return iter.hasNext();
    }

    public ELEM next() {
        return transform(iter.next());
    }

    public abstract ELEM transform(Element listItem);

    public void remove() {
        throw new UnsupportedOperationException("Not supported.");
    }
}
